Subject: Re: Cleanups for physmap_of.c (v2)

From: David Gibson <[email-masked]>
Date: Fri, 21 Sep 2007 11:00:55 +1000

On Thu, Sep 20, 2007 at 07:11:59PM +0200, Segher Boessenkool wrote:
> > 	- (the big one) Despite the name, this driver really has
> > nothing to do with drivers/mtd/physmap.c.  The fact that the flash
> > chips must be physically direct mapped is a constrant, but doesn't
> > really say anything about the actual purpose of this driver, which is
> > to instantiate MTD devices based on information from the device tree.
> > Therefore the physmap name is replaced everywhere within the file with
> > "of_flash".
> 
> Do you think this code will handle NAND flash later, too?  If not,
> maybe "of_norflash" is better?

Uh.. maybe?  I guess we can either extend it or rename it in the
future sometime.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson